Bug 224142 - www/nextcloud: Update to 12.0.4
Summary: www/nextcloud: Update to 12.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-12-06 12:48 UTC by Bernard Spil
Modified: 2017-12-20 19:07 UTC (History)
2 users (show)

See Also:
loic.blot: maintainer-feedback-


Attachments
svn diff for www/nextcloud (184.55 KB, patch)
2017-12-06 12:48 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (186.54 KB, patch)
2017-12-06 14:23 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (186.54 KB, patch)
2017-12-06 18:06 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (187.02 KB, patch)
2017-12-13 07:23 UTC, Bernard Spil
brnrd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-12-06 12:48:49 UTC
Created attachment 188582 [details]
svn diff for www/nextcloud

```
www/nextcloud: Update to 12.0.4

PR:
```
Comment 1 loic.blot 2017-12-06 13:57:19 UTC
Hello Bernard

Can you include the following patch to fix PostgreSQL 10 instances ?

https://github.com/nextcloud/server/issues/5930#issuecomment-318924370

Thanks
Comment 2 Bernard Spil freebsd_committer 2017-12-06 14:23:29 UTC
Created attachment 188585 [details]
svn diff for www/nextcloud

Add patch for PostgreSQL 10
Comment 3 loic.blot 2017-12-06 15:36:27 UTC
Failed to fetch file

=> nextcloud-12.0.4.tar.bz2 doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://download.nextcloud.com/server/prereleases/nextcloud-12.0.4.tar.bz2
fetch: https://download.nextcloud.com/server/prereleases/nextcloud-12.0.4.tar.bz2: size mismatch: expected 43689386, actual 43583313
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/nextcloud-12.0.4.tar.bz2
fetch: http://distcache.FreeBSD.org/ports-distfiles/nextcloud-12.0.4.tar.bz2: Not Found
Comment 4 Bernard Spil freebsd_committer 2017-12-06 18:06:10 UTC
Created attachment 188591 [details]
svn diff for www/nextcloud

Not sure how that came to be. Regenerated the patch with a new download.
Comment 5 loic.blot 2017-12-12 21:15:03 UTC
Packaging failed

===========================================================================
=======================<phase: package        >============================
===>  Building package for nextcloud-12.0.4
pkg-static: Unable to access file /wrkdirs/usr/ports/www/nextcloud/work/stage/usr/local/www/nextcloud/core/l10n/ast.js:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/www/nextcloud/work/stage/usr/local/www/nextcloud/core/l10n/ast.json:No such file or directory
*** Error code 1

Stop.
Comment 6 Bernard Spil freebsd_committer 2017-12-13 07:23:46 UTC
Created attachment 188799 [details]
svn diff for www/nextcloud

Fixed plist/packaging errors
Comment 7 commit-hook freebsd_committer 2017-12-14 09:12:10 UTC
A commit references this bug:

Author: brnrd
Date: Thu Dec 14 09:11:13 UTC 2017
New revision: 456283
URL: https://svnweb.freebsd.org/changeset/ports/456283

Log:
  www/nextcloud: Update to 12.0.4

   - Include upstream PostgreSQL fix

  Changelog: https://nextcloud.com/changelog/#latest12

  PR:             224142
  Approved by:    Loic Blot <loic.blot unix-experience fr> (maintainer)

Changes:
  head/www/nextcloud/Makefile
  head/www/nextcloud/distinfo
  head/www/nextcloud/files/patch-3rdparty_doctrine_dbal_lib_Doctrine_DBAL_Schema_PostgreSqlSchemaManager.php
  head/www/nextcloud/pkg-plist
Comment 8 David Chisnall freebsd_committer 2017-12-20 19:07:24 UTC
The patch was incorrect.  NextCloud performs self-checking by validating the installed files against a list of known hashes.  When the patch was added in r456283, the hash was not also updated, so anyone running NextCloud will have errors about a hash mismatch (and many may not know to check that it's the result of the port and will believe their installations are damaged or compromised).